package com.steering.pss.ydm.entity;

public class ProcessOrderMEntity {
    /**
     * 最终用户描述
     */
    private String finalUserDesc;
    /**
     * 交货量差方式（绝对值;百分比)
     */
    private String delvryRangeTpe;
    /**
     * 交货量差下限
     */
    private String delvryRangeMin;
    /**
     * 交货量差上限
     */
    private String delvryRangeMax;
    /**
     * 交货结束日期
     */
    private String delvryEdate;
    /**
     * 交货开始日期
     */
    private String delvryBdate;
    /**
     * 订货量
     */
    private String orderQty;
    /**
     * 订货计量单位(支、米、吨)
     */
    private String orderUnit;
    /**
     * 订货保总长
     */
    private String ordEnsuTotlLen;
    /**
     * 合同行总量生产量（吨、支），订货量转换为生产单位
     */
    private String prdctWgt;
    /**
     * 吨、支
     */
    private String prdctUnit;
    /**
     * 排产量(支)
     */
    private String pssNum;
    /**
     * 排产量(吨)
     */
    private String pssWgt;
    /**
     * 缴库量(支)
     */
    private String payNum;
    /**
     * 缴库量(吨）
     */
    private String payWgt;
    /**
     * 发货量(支)
     */
    private String outNum;
    /**
     * 发货量(吨)
     */
    private String outWgt;
    /**
     * 事件标识代码
     */
    private String eventId;
    /**
     * 事件说明说明(合同录入、脱单、挂单等)
     */
    private String eventDesc;
    /**
     * 画面名称
     */
    private String formName;
    /**
     * 函数名称
     */
    private String callFuncCoding;
    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 脱单量(支)
     */
    private String elimNum;
    /**
     * 脱单量(吨）
     */
    private String elimWgt;
    /**
     * 利库量(支)
     */
    private String chargeNum;
    /**
     * 利库量(吨)
     */
    private String chargeWgt;
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk;
    /**
     * ORD_PK
     */
    private String ordPk;
    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     */
    private String ordLnDlyPk;
    /**
     * 合同号
     */
    private String orderNo;
    /**
     * 合同行号
     */
    private String orderSeq;
    /**
     * 合同进程代码
     */
    private String pssCode;
    /**
     * 合同状态
     */
    private String orderSts;
    /**
     * 合同行状态
     */
    private String orderLnStatus;
    /**
     * 合同类型
     */
    private String orderTyp;
    /**
     * 产品规范码
     */
    private String psc;
    /**
     * 产品规范描述
     */
    private String pscDesc;
    /**
     * 冶金规范码
     */
    private String msc;
    /**
     * 冶金规范描述
     */
    private String mscDesc;
    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     */
    private String mscStyle;
    /**
     * 合同备注
     */
    private String memo;
    /**
     * 用途码
     */
    private String useCode;
    /**
     * 客户Alpha编号
     */
    private String custAlphaNo;
    /**
     * 用途码描述
     */
    private String useDesc;
    /**
     * 品种分类(油井管;专业管;普管)
     */
    private String prdCls;
    /**
     * 品名代码
     */
    private String produccode;
    /**
     * 品名描述
     */
    private String producname;
    /**
     * 标准代码
     */
    private String stdCode;
    /**
     * 标准名称
     */
    private String stdName;
    /**
     * 钢级(牌号)代码
     */
    private String steelcode;
    /**
     * 钢级(牌号)名称
     */
    private String steelname;
    /**
     * 标准类别代码
     */
    private String stdStyle;
    /**
     * 标准类别描述
     */
    private String stdStyleDesc;
    /**
     * 产品规格代码
     */
    private String specCode;
    /**
     * 产品规格描述
     */
    private String specName;
    /**
     * 扣型代码
     */
    private String modelCode;
    /**
     * 扣型描述
     */
    private String modelDesc;
    /**
     * 长度编码
     */
    private String lenNo;
    /**
     * 长度描述
     */
    private String lenDesc;
    /**
     * 长度单位
     */
    private String lenUnit;
    /**
     * 下限
     */
    private String lenMin;
    /**
     * 上限
     */
    private String lenMax;
    /**
     * 短尺率(%)
     */
    private String shrtLenRato;
    /**
     * 短尺最短
     */
    private String shortest;
    /**
     * 长尺率(%)
     */
    private String longLenRato;
    /**
     * 长尺最长
     */
    private String longest;
    /**
     * 短尺随炉
     */
    private String shrtStove;
    /**
     * 平均长度大于
     */
    private String avgLenMin;
    /**
     * 最长最短差小于
     */
    private String difrncLenMax;
    /**
     * 成品公差
     */
    private String endlenSpecstd;
    /**
     * 单倍尺长
     */
    private String siglLen;
    /**
     * MPS说明
     */
    private String mpsDesc;
    /**
     * MPS编号
     */
    private String mpsNo;
    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     */
    private String prdcrNo;
    /**
     * 监制说明
     */
    private String prdcrDesc;
    /**
     * 附加要求编码
     */
    private String addAskNo;
    /**
     * 订货附加要求描述
     */
    private String orderAddDesc;
    /**
     * 产品特殊要求描述
     */
    private String orderSpecialDesc;
    /**
     * 最终用户(来源客户表)
     */
    private String finalUser;
    /**
     * 提报量
     */
    private String appNum;
    /**
     * 提报计量单位(支、吨、米)
     */
    private String appUnit;

    /*
    重量估算
     */
    private String wgtEstmt;

    public ProcessOrderMEntity() {
        finalUserDesc = "";
        delvryRangeTpe = "";
        delvryRangeMin = "";
        delvryRangeMax = "";
        delvryEdate = "";
        delvryBdate = "";
        orderQty = "";
        orderUnit = "";
        ordEnsuTotlLen = "";
        prdctWgt = "";
        prdctUnit = "";
        pssNum = "";
        pssWgt = "";
        payNum = "";
        payWgt = "";
        outNum = "";
        outWgt = "";
        eventId = "";
        eventDesc = "";
        formName = "";
        callFuncCoding = "";
        updateTime = "";
        elimNum = "";
        elimWgt = "";
        chargeNum = "";
        chargeWgt = "";
        ordLnPk = "";
        ordPk = "";
        orderNo = "";
        orderSeq = "";
        pssCode = "";
        orderSts = "";
        orderLnStatus = "";
        orderTyp = "";
        psc = "";
        pscDesc = "";
        msc = "";
        mscDesc = "";
        mscStyle = "";
        memo = "";
        useCode = "";
        custAlphaNo = "";
        useDesc = "";
        prdCls = "";
        produccode = "";
        producname = "";
        stdCode = "";
        stdName = "";
        steelcode = "";
        steelname = "";
        stdStyle = "";
        stdStyleDesc = "";
        specCode = "";
        specName = "";
        modelCode = "";
        modelDesc = "";
        lenNo = "";
        lenDesc = "";
        lenUnit = "";
        lenMin = "";
        lenMax = "";
        shrtLenRato = "";
        shortest = "";
        longLenRato = "";
        longest = "";
        shrtStove = "";
        avgLenMin = "";
        difrncLenMax = "";
        endlenSpecstd = "";
        siglLen = "";
        mpsDesc = "";
        mpsNo = "";
        prdcrNo = "";
        prdcrDesc = "";
        addAskNo = "";
        orderAddDesc = "";
        orderSpecialDesc = "";
        finalUser = "";
    }

    /**
     * 最终用户描述
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 最终用户描述
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 交货量差方式（绝对值;百分比)
     * @return value
     */
    public String getDelvryRangeTpe() {
        return delvryRangeTpe;
    }

    /**
     * 交货量差方式（绝对值;百分比)
     * @param delvryRangeTpe value
     */
    public void setDelvryRangeTpe(String delvryRangeTpe) {
        this.delvryRangeTpe = delvryRangeTpe;
    }

    /**
     * 交货量差下限
     * @return value
     */
    public String getDelvryRangeMin() {
        return delvryRangeMin;
    }

    /**
     * 交货量差下限
     * @param delvryRangeMin value
     */
    public void setDelvryRangeMin(String delvryRangeMin) {
        this.delvryRangeMin = delvryRangeMin;
    }

    /**
     * 交货量差上限
     * @return value
     */
    public String getDelvryRangeMax() {
        return delvryRangeMax;
    }

    /**
     * 交货量差上限
     * @param delvryRangeMax value
     */
    public void setDelvryRangeMax(String delvryRangeMax) {
        this.delvryRangeMax = delvryRangeMax;
    }

    /**
     * 交货结束日期
     * @return value
     */
    public String getDelvryEdate() {
        return delvryEdate;
    }

    /**
     * 交货结束日期
     * @param delvryEdate value
     */
    public void setDelvryEdate(String delvryEdate) {
        this.delvryEdate = delvryEdate;
    }

    /**
     * 交货开始日期
     * @return value
     */
    public String getDelvryBdate() {
        return delvryBdate;
    }

    /**
     * 交货开始日期
     * @param delvryBdate value
     */
    public void setDelvryBdate(String delvryBdate) {
        this.delvryBdate = delvryBdate;
    }

    /**
     * 订货量
     * @return value
     */
    public String getOrderQty() {
        return orderQty;
    }

    /**
     * 订货量
     * @param orderQty value
     */
    public void setOrderQty(String orderQty) {
        this.orderQty = orderQty;
    }

    /**
     * 订货计量单位(支、米、吨)
     * @return value
     */
    public String getOrderUnit() {
        return orderUnit;
    }

    /**
     * 订货计量单位(支、米、吨)
     * @param orderUnit value
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }

    /**
     * 订货保总长
     * @return value
     */
    public String getOrdEnsuTotlLen() {
        return ordEnsuTotlLen;
    }

    /**
     * 订货保总长
     * @param ordEnsuTotlLen value
     */
    public void setOrdEnsuTotlLen(String ordEnsuTotlLen) {
        this.ordEnsuTotlLen = ordEnsuTotlLen;
    }

    /**
     * 合同行总量生产量（吨、支），订货量转换为生产单位
     * @return value
     */
    public String getPrdctWgt() {
        return prdctWgt;
    }

    /**
     * 合同行总量生产量（吨、支），订货量转换为生产单位
     * @param prdctWgt value
     */
    public void setPrdctWgt(String prdctWgt) {
        this.prdctWgt = prdctWgt;
    }

    /**
     * 吨、支
     * @return value
     */
    public String getPrdctUnit() {
        return prdctUnit;
    }

    /**
     * 吨、支
     * @param prdctUnit value
     */
    public void setPrdctUnit(String prdctUnit) {
        this.prdctUnit = prdctUnit;
    }

    /**
     * 排产量(支)
     * @return value
     */
    public String getPssNum() {
        return pssNum;
    }

    /**
     * 排产量(支)
     * @param pssNum value
     */
    public void setPssNum(String pssNum) {
        this.pssNum = pssNum;
    }

    /**
     * 排产量(吨)
     * @return value
     */
    public String getPssWgt() {
        return pssWgt;
    }

    /**
     * 排产量(吨)
     * @param pssWgt value
     */
    public void setPssWgt(String pssWgt) {
        this.pssWgt = pssWgt;
    }

    /**
     * 缴库量(支)
     * @return value
     */
    public String getPayNum() {
        return payNum;
    }

    /**
     * 缴库量(支)
     * @param payNum value
     */
    public void setPayNum(String payNum) {
        this.payNum = payNum;
    }

    /**
     * 缴库量(吨）
     * @return value
     */
    public String getPayWgt() {
        return payWgt;
    }

    /**
     * 缴库量(吨）
     * @param payWgt value
     */
    public void setPayWgt(String payWgt) {
        this.payWgt = payWgt;
    }

    /**
     * 发货量(支)
     * @return value
     */
    public String getOutNum() {
        return outNum;
    }

    /**
     * 发货量(支)
     * @param outNum value
     */
    public void setOutNum(String outNum) {
        this.outNum = outNum;
    }

    /**
     * 发货量(吨)
     * @return value
     */
    public String getOutWgt() {
        return outWgt;
    }

    /**
     * 发货量(吨)
     * @param outWgt value
     */
    public void setOutWgt(String outWgt) {
        this.outWgt = outWgt;
    }

    /**
     * 事件标识代码
     * @return value
     */
    public String getEventId() {
        return eventId;
    }

    /**
     * 事件标识代码
     * @param eventId value
     */
    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    /**
     * 事件说明说明(合同录入、脱单、挂单等)
     * @return value
     */
    public String getEventDesc() {
        return eventDesc;
    }

    /**
     * 事件说明说明(合同录入、脱单、挂单等)
     * @param eventDesc value
     */
    public void setEventDesc(String eventDesc) {
        this.eventDesc = eventDesc;
    }

    /**
     * 画面名称
     * @return value
     */
    public String getFormName() {
        return formName;
    }

    /**
     * 画面名称
     * @param formName value
     */
    public void setFormName(String formName) {
        this.formName = formName;
    }

    /**
     * 函数名称
     * @return value
     */
    public String getCallFuncCoding() {
        return callFuncCoding;
    }

    /**
     * 函数名称
     * @param callFuncCoding value
     */
    public void setCallFuncCoding(String callFuncCoding) {
        this.callFuncCoding = callFuncCoding;
    }

    /**
     * 更新时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 更新时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 脱单量(支)
     * @return value
     */
    public String getElimNum() {
        return elimNum;
    }

    /**
     * 脱单量(支)
     * @param elimNum value
     */
    public void setElimNum(String elimNum) {
        this.elimNum = elimNum;
    }

    /**
     * 脱单量(吨）
     * @return value
     */
    public String getElimWgt() {
        return elimWgt;
    }

    /**
     * 脱单量(吨）
     * @param elimWgt value
     */
    public void setElimWgt(String elimWgt) {
        this.elimWgt = elimWgt;
    }

    /**
     * 利库量(支)
     * @return value
     */
    public String getChargeNum() {
        return chargeNum;
    }

    /**
     * 利库量(支)
     * @param chargeNum value
     */
    public void setChargeNum(String chargeNum) {
        this.chargeNum = chargeNum;
    }

    /**
     * 利库量(吨)
     * @return value
     */
    public String getChargeWgt() {
        return chargeWgt;
    }

    /**
     * 利库量(吨)
     * @param chargeWgt value
     */
    public void setChargeWgt(String chargeWgt) {
        this.chargeWgt = chargeWgt;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * ORD_PK
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * ORD_PK
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 合同进程代码
     * @return value
     */
    public String getPssCode() {
        return pssCode;
    }

    /**
     * 合同进程代码
     * @param pssCode value
     */
    public void setPssCode(String pssCode) {
        this.pssCode = pssCode;
    }

    /**
     * 合同状态
     * @return value
     */
    public String getOrderSts() {
        return orderSts;
    }

    /**
     * 合同状态
     * @param orderSts value
     */
    public void setOrderSts(String orderSts) {
        this.orderSts = orderSts;
    }

    /**
     * 合同行状态
     * @return value
     */
    public String getOrderLnStatus() {
        return orderLnStatus;
    }

    /**
     * 合同行状态
     * @param orderLnStatus value
     */
    public void setOrderLnStatus(String orderLnStatus) {
        this.orderLnStatus = orderLnStatus;
    }

    /**
     * 合同类型
     * @return value
     */
    public String getOrderTyp() {
        return orderTyp;
    }

    /**
     * 合同类型
     * @param orderTyp value
     */
    public void setOrderTyp(String orderTyp) {
        this.orderTyp = orderTyp;
    }

    /**
     * 产品规范码
     * @return value
     */
    public String getPsc() {
        return psc;
    }

    /**
     * 产品规范码
     * @param psc value
     */
    public void setPsc(String psc) {
        this.psc = psc;
    }

    /**
     * 产品规范描述
     * @return value
     */
    public String getPscDesc() {
        return pscDesc;
    }

    /**
     * 产品规范描述
     * @param pscDesc value
     */
    public void setPscDesc(String pscDesc) {
        this.pscDesc = pscDesc;
    }

    /**
     * 冶金规范码
     * @return value
     */
    public String getMsc() {
        return msc;
    }

    /**
     * 冶金规范码
     * @param msc value
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }

    /**
     * 冶金规范描述
     * @return value
     */
    public String getMscDesc() {
        return mscDesc;
    }

    /**
     * 冶金规范描述
     * @param mscDesc value
     */
    public void setMscDesc(String mscDesc) {
        this.mscDesc = mscDesc;
    }

    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     * @return value
     */
    public String getMscStyle() {
        return mscStyle;
    }

    /**
     * 冶金规范类型(A:钢管+管坯、B:钢管+接箍、C:短节+附件)
     * @param mscStyle value
     */
    public void setMscStyle(String mscStyle) {
        this.mscStyle = mscStyle;
    }

    /**
     * 合同备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 合同备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 用途码
     * @return value
     */
    public String getUseCode() {
        return useCode;
    }

    /**
     * 用途码
     * @param useCode value
     */
    public void setUseCode(String useCode) {
        this.useCode = useCode;
    }

    /**
     * 客户Alpha编号
     * @return value
     */
    public String getCustAlphaNo() {
        return custAlphaNo;
    }

    /**
     * 客户Alpha编号
     * @param custAlphaNo value
     */
    public void setCustAlphaNo(String custAlphaNo) {
        this.custAlphaNo = custAlphaNo;
    }

    /**
     * 用途码描述
     * @return value
     */
    public String getUseDesc() {
        return useDesc;
    }

    /**
     * 用途码描述
     * @param useDesc value
     */
    public void setUseDesc(String useDesc) {
        this.useDesc = useDesc;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @return value
     */
    public String getPrdCls() {
        return prdCls;
    }

    /**
     * 品种分类(油井管;专业管;普管)
     * @param prdCls value
     */
    public void setPrdCls(String prdCls) {
        this.prdCls = prdCls;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 标准代码
     * @return value
     */
    public String getStdCode() {
        return stdCode;
    }

    /**
     * 标准代码
     * @param stdCode value
     */
    public void setStdCode(String stdCode) {
        this.stdCode = stdCode;
    }

    /**
     * 标准名称
     * @return value
     */
    public String getStdName() {
        return stdName;
    }

    /**
     * 标准名称
     * @param stdName value
     */
    public void setStdName(String stdName) {
        this.stdName = stdName;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 标准类别代码
     * @return value
     */
    public String getStdStyle() {
        return stdStyle;
    }

    /**
     * 标准类别代码
     * @param stdStyle value
     */
    public void setStdStyle(String stdStyle) {
        this.stdStyle = stdStyle;
    }

    /**
     * 标准类别描述
     * @return value
     */
    public String getStdStyleDesc() {
        return stdStyleDesc;
    }

    /**
     * 标准类别描述
     * @param stdStyleDesc value
     */
    public void setStdStyleDesc(String stdStyleDesc) {
        this.stdStyleDesc = stdStyleDesc;
    }

    /**
     * 产品规格代码
     * @return value
     */
    public String getSpecCode() {
        return specCode;
    }

    /**
     * 产品规格代码
     * @param specCode value
     */
    public void setSpecCode(String specCode) {
        this.specCode = specCode;
    }

    /**
     * 产品规格描述
     * @return value
     */
    public String getSpecName() {
        return specName;
    }

    /**
     * 产品规格描述
     * @param specName value
     */
    public void setSpecName(String specName) {
        this.specName = specName;
    }

    /**
     * 扣型代码
     * @return value
     */
    public String getModelCode() {
        return modelCode;
    }

    /**
     * 扣型代码
     * @param modelCode value
     */
    public void setModelCode(String modelCode) {
        this.modelCode = modelCode;
    }

    /**
     * 扣型描述
     * @return value
     */
    public String getModelDesc() {
        return modelDesc;
    }

    /**
     * 扣型描述
     * @param modelDesc value
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }

    /**
     * 长度编码
     * @return value
     */
    public String getLenNo() {
        return lenNo;
    }

    /**
     * 长度编码
     * @param lenNo value
     */
    public void setLenNo(String lenNo) {
        this.lenNo = lenNo;
    }

    /**
     * 长度描述
     * @return value
     */
    public String getLenDesc() {
        return lenDesc;
    }

    /**
     * 长度描述
     * @param lenDesc value
     */
    public void setLenDesc(String lenDesc) {
        this.lenDesc = lenDesc;
    }

    /**
     * 长度单位
     * @return value
     */
    public String getLenUnit() {
        return lenUnit;
    }

    /**
     * 长度单位
     * @param lenUnit value
     */
    public void setLenUnit(String lenUnit) {
        this.lenUnit = lenUnit;
    }

    /**
     * 下限
     * @return value
     */
    public String getLenMin() {
        return lenMin;
    }

    /**
     * 下限
     * @param lenMin value
     */
    public void setLenMin(String lenMin) {
        this.lenMin = lenMin;
    }

    /**
     * 上限
     * @return value
     */
    public String getLenMax() {
        return lenMax;
    }

    /**
     * 上限
     * @param lenMax value
     */
    public void setLenMax(String lenMax) {
        this.lenMax = lenMax;
    }

    /**
     * 短尺率(%)
     * @return value
     */
    public String getShrtLenRato() {
        return shrtLenRato;
    }

    /**
     * 短尺率(%)
     * @param shrtLenRato value
     */
    public void setShrtLenRato(String shrtLenRato) {
        this.shrtLenRato = shrtLenRato;
    }

    /**
     * 短尺最短
     * @return value
     */
    public String getShortest() {
        return shortest;
    }

    /**
     * 短尺最短
     * @param shortest value
     */
    public void setShortest(String shortest) {
        this.shortest = shortest;
    }

    /**
     * 长尺率(%)
     * @return value
     */
    public String getLongLenRato() {
        return longLenRato;
    }

    /**
     * 长尺率(%)
     * @param longLenRato value
     */
    public void setLongLenRato(String longLenRato) {
        this.longLenRato = longLenRato;
    }

    /**
     * 长尺最长
     * @return value
     */
    public String getLongest() {
        return longest;
    }

    /**
     * 长尺最长
     * @param longest value
     */
    public void setLongest(String longest) {
        this.longest = longest;
    }

    /**
     * 短尺随炉
     * @return value
     */
    public String getShrtStove() {
        return shrtStove;
    }

    /**
     * 短尺随炉
     * @param shrtStove value
     */
    public void setShrtStove(String shrtStove) {
        this.shrtStove = shrtStove;
    }

    /**
     * 平均长度大于
     * @return value
     */
    public String getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     * @param avgLenMin value
     */
    public void setAvgLenMin(String avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 最长最短差小于
     * @return value
     */
    public String getDifrncLenMax() {
        return difrncLenMax;
    }

    /**
     * 最长最短差小于
     * @param difrncLenMax value
     */
    public void setDifrncLenMax(String difrncLenMax) {
        this.difrncLenMax = difrncLenMax;
    }

    /**
     * 成品公差
     * @return value
     */
    public String getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品公差
     * @param endlenSpecstd value
     */
    public void setEndlenSpecstd(String endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 单倍尺长
     * @return value
     */
    public String getSiglLen() {
        return siglLen;
    }

    /**
     * 单倍尺长
     * @param siglLen value
     */
    public void setSiglLen(String siglLen) {
        this.siglLen = siglLen;
    }

    /**
     * MPS说明
     * @return value
     */
    public String getMpsDesc() {
        return mpsDesc;
    }

    /**
     * MPS说明
     * @param mpsDesc value
     */
    public void setMpsDesc(String mpsDesc) {
        this.mpsDesc = mpsDesc;
    }

    /**
     * MPS编号
     * @return value
     */
    public String getMpsNo() {
        return mpsNo;
    }

    /**
     * MPS编号
     * @param mpsNo value
     */
    public void setMpsNo(String mpsNo) {
        this.mpsNo = mpsNo;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号(ORD_LN_PK+三位流水号)
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 监制说明
     * @return value
     */
    public String getPrdcrDesc() {
        return prdcrDesc;
    }

    /**
     * 监制说明
     * @param prdcrDesc value
     */
    public void setPrdcrDesc(String prdcrDesc) {
        this.prdcrDesc = prdcrDesc;
    }

    /**
     * 附加要求编码
     * @return value
     */
    public String getAddAskNo() {
        return addAskNo;
    }

    /**
     * 附加要求编码
     * @param addAskNo value
     */
    public void setAddAskNo(String addAskNo) {
        this.addAskNo = addAskNo;
    }

    /**
     * 订货附加要求描述
     * @return value
     */
    public String getOrderAddDesc() {
        return orderAddDesc;
    }

    /**
     * 订货附加要求描述
     * @param orderAddDesc value
     */
    public void setOrderAddDesc(String orderAddDesc) {
        this.orderAddDesc = orderAddDesc;
    }

    /**
     * 产品特殊要求描述
     * @return value
     */
    public String getOrderSpecialDesc() {
        return orderSpecialDesc;
    }

    /**
     * 产品特殊要求描述
     * @param orderSpecialDesc value
     */
    public void setOrderSpecialDesc(String orderSpecialDesc) {
        this.orderSpecialDesc = orderSpecialDesc;
    }

    /**
     * 最终用户(来源客户表)
     * @return value
     */
    public String getFinalUser() {
        return finalUser;
    }

    /**
     * 最终用户(来源客户表)
     * @param finalUser value
     */
    public void setFinalUser(String finalUser) {
        this.finalUser = finalUser;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 提报量
     * @return value
     */
    public String getAppNum() {
        return appNum;
    }

    /**
     * 提报量
     * @param appNum value
     */
    public void setAppNum(String appNum) {
        this.appNum = appNum;
    }

    /**
     * 提报计量单位(支、吨、米)
     * @return value
     */
    public String getAppUnit() {
        return appUnit;
    }

    /**
     * 提报计量单位(支、吨、米)
     * @param appUnit value
     */
    public void setAppUnit(String appUnit) {
        this.appUnit = appUnit;
    }

    public String getWgtEstmt() {
        return wgtEstmt;
    }

    public void setWgtEstmt(String wgtEstmt) {
        this.wgtEstmt = wgtEstmt;
    }

}
